Pbm Profile Profile Manager Pbm Fetch Capability Schema

Pbm Profile Profile Manager Pbm Fetch Capability Schema
Returns the capability schema objects registered in the system.

Returns the capability schema objects registered in the system.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmFetchCapabilitySchema
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmFetchCapabilitySchemaRequestType of type(s) application/json
Optional
{
    "vendorUuid": "string",
    "lineOfService": [
        "string"
    ]
}
string
vendorUuid
Optional

Unique identifier for the vendor/owner of capability metadata. If omitted, the server searches all capability metadata registered with the system. The specified vendor ID must match PbmCapabilitySchemaVendorInfo.PbmCapabilitySchemaVendorInfo.vendorUuid.

array of string
lineOfService
Optional

Optional line of service that must match PbmLineOfServiceInfoLineOfServiceEnumEnum. If specified, the capability schema objects are returned for the given lineOfServices. If null, then all capability schema objects that may or may not have data service capabilities are returned.

Authentication
This operation uses the following authentication methods.
Responses
200
[
    {
        "_typeName": "string",
        "vendorInfo": {
            "_typeName": "string",
            "vendorUuid": "string",
            "info": {
                "_typeName": "string",
                "label": "string",
                "summary": "string",
                "key": "string",
                "messageCatalogKeyPrefix": "string",
                "messageArg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ]
            }
        },
        "namespaceInfo": {
            "_typeName": "string",
            "version": "string",
            "namespace": "string",
            "info": {
                "_typeName": "string",
                "label": "string",
                "summary": "string",
                "key": "string",
                "messageCatalogKeyPrefix": "string",
                "messageArg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ]
            }
        },
        "lineOfService": {
            "_typeName": "string",
            "lineOfService": "string",
            "name": {
                "_typeName": "string",
                "label": "string",
                "summary": "string",
                "key": "string",
                "messageCatalogKeyPrefix": "string",
                "messageArg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ]
            },
            "description": {
                "_typeName": "string",
                "label": "string",
                "summary": "string",
                "key": "string",
                "messageCatalogKeyPrefix": "string",
                "messageArg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ]
            }
        },
        "capabilityMetadataPerCategory": [
            {
                "_typeName": "string",
                "subCategory": "string",
                "capabilityMetadata": [
                    {
                        "_typeName": "string",
                        "id": {
                            "_typeName": "string",
                            "namespace": "string",
                            "id": "string"
                        },
                        "summary": {
                            "_typeName": "string",
                            "label": "string",
                            "summary": "string",
                            "key": "string",
                            "messageCatalogKeyPrefix": "string",
                            "messageArg": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "value": {
                                        "_typeName": "string"
                                    }
                                }
                            ]
                        },
                        "mandatory": false,
                        "hint": false,
                        "keyId": "string",
                        "allowMultipleConstraints": false,
                        "propertyMetadata": [
                            {
                                "_typeName": "string",
                                "id": "string",
                                "summary": {
                                    "_typeName": "string",
                                    "label": "string",
                                    "summary": "string",
                                    "key": "string",
                                    "messageCatalogKeyPrefix": "string",
                                    "messageArg": [
                                        {
                                            "_typeName": "string",
                                            "key": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ]
                                },
                                "mandatory": false,
                                "type": {
                                    "_typeName": "string",
                                    "typeName": "string"
                                },
                                "defaultValue": {
                                    "_typeName": "string"
                                },
                                "allowedValue": {
                                    "_typeName": "string"
                                },
                                "requirementsTypeHint": "string"
                            }
                        ]
                    }
                ]
            }
        ],
        "capabilityCategory": "string"
    }
]
array of object
Optional

Capability Schema information

This structure may be used only with operations rendered under /pbm.


500

PbmFault: If there is an internal server error.

InvalidArgument: If input lineOfServices has unknown/invalid line of service.

Returns PbmFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmFetchCapabilitySchema